APIリファレンスConnect 会員事業の発注条件

Connect 会員事業の発注条件

会員自身の発注条件を下書きする

GET/v1/connect/accounts/{accountId}/partner-orders

会員事業の発注条件を検索する

概要だけを最大100件返します。契約本文と条件は詳細で取得します。statusは発注条件レコードの状態で、相手の契約同意を表しません。

パスの値

  • accountIdstring必須

    100文字まで

クエリ

  • partnerIdstring

    100文字まで

  • externalRefstring

    200文字まで

  • querystring

    200文字まで

  • statusenum
    draftactivecompletedcanceled
  • cursorstring

    100文字まで

  • limitinteger

    1〜100

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • partnerIdstring
  • titlestring
  • amountinteger
  • currencystring
  • statusenum
    draftactivecompletedcanceled
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/partner-orders
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/partner-orders \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "id": "clx8k2m0a0001",
      "externalRef": "staff-0001",
      "partnerId": "clx8k2m0a0001",
      "title": "Webサイト制作の業務委託",
      "amount": 100000,
      "currency": "JPY",
      "status": "draft",
      "createdAt": "2026-11-01T09:00:00.000Z",
      "updatedAt": "2026-11-01T09:00:00.000Z"
    }
  ],
  "nextCursor": null
}
POST/v1/connect/accounts/{accountId}/partner-orders

会員事業の発注条件を下書きする

同じ事業の有効なpartnerId・title・amountで下書きを作成します。externalRefは事業内で一意、同じ入力だけ再利用できます。契約締結・外部送信・実発注・支払い・公開は行いません。

パスの値

  • accountIdstring必須

    100文字まで

送る項目JSON · 12項目

  • titlestring必須

    200文字まで

  • amountinteger必須

    1〜2,147,483,647

  • rolestring | null

    1,000文字まで

  • scopestring | null

    10,000文字まで

  • contractTermsstring | null

    10,000文字まで

  • isIncludingTaxboolean
  • startDatestring (date-time) | null
  • endDatestring (date-time) | null
  • subcontractingPolicyenum
    not_setnot_allowedrequires_approvalallowed_without_disclosureallowed_with_vendor_disclosureallowed_with_budget_disclosure
  • taxRoundingMethodenum
    floorceilround
  • partnerIdstring必須

    100文字まで

  • externalRefstring

    200文字まで

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • partnerIdstring
  • titlestring
  • amountinteger
  • currencystring
  • statusenum
    draftactivecompletedcanceled
  • rolestring | null
  • scopestring | null
  • contractTermsstring | null
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • startDatestring | null
  • endDatestring | null
  • subcontractingPolicyenum
    not_setnot_allowedrequires_approvalallowed_without_disclosureallowed_with_vendor_disclosureallowed_with_budget_disclosure
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

POST/v1/…/accounts/{accountId}/partner-orders
curl -X POST https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/partner-orders \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Webサイト制作の業務委託",
  "amount": 100000,
  "partnerId": "clx8k2m0a0001",
  "externalRef": "staff-0001"
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "partnerId": "clx8k2m0a0001",
    "title": "Webサイト制作の業務委託",
    "amount": 100000,
    "currency": "JPY",
    "status": "draft",
    "role": "…",
    "scope": "…",
    "contractTerms": "…",
    "isIncludingTax": false,
    "taxRoundingMethod": "floor",
    "startDate": "2026-11-30",
    "endDate": "2026-11-30",
    "subcontractingPolicy": "not_set",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
GET/v1/connect/accounts/{accountId}/partner-orders/{id}

会員事業の発注条件を取得する

パスの値

  • accountIdstring必須

    100文字まで

  • idstring必須

    100文字まで

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • partnerIdstring
  • titlestring
  • amountinteger
  • currencystring
  • statusenum
    draftactivecompletedcanceled
  • rolestring | null
  • scopestring | null
  • contractTermsstring | null
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • startDatestring | null
  • endDatestring | null
  • subcontractingPolicyenum
    not_setnot_allowedrequires_approvalallowed_without_disclosureallowed_with_vendor_disclosureallowed_with_budget_disclosure
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/partner-orders/{id}
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/partner-orders/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "partnerId": "clx8k2m0a0001",
    "title": "Webサイト制作の業務委託",
    "amount": 100000,
    "currency": "JPY",
    "status": "draft",
    "role": "…",
    "scope": "…",
    "contractTerms": "…",
    "isIncludingTax": false,
    "taxRoundingMethod": "floor",
    "startDate": "2026-11-30",
    "endDate": "2026-11-30",
    "subcontractingPolicy": "not_set",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
PATCH/v1/connect/accounts/{accountId}/partner-orders/{id}

会員事業の発注条件の下書きを変更する

expectedUpdatedAtが一致する未接続の下書きだけを変更します。案件・受注・予算・合意・請求依頼に接続した条件はこの操作で編集できません。partnerId、所有先、状態は変更できません。

パスの値

  • accountIdstring必須

    100文字まで

  • idstring必須

    100文字まで

送る項目JSON · 11項目

  • titlestring

    200文字まで

  • amountinteger

    1〜2,147,483,647

  • rolestring | null

    1,000文字まで

  • scopestring | null

    10,000文字まで

  • contractTermsstring | null

    10,000文字まで

  • isIncludingTaxboolean
  • startDatestring (date-time) | null
  • endDatestring (date-time) | null
  • subcontractingPolicyenum
    not_setnot_allowedrequires_approvalallowed_without_disclosureallowed_with_vendor_disclosureallowed_with_budget_disclosure
  • taxRoundingMethodenum
    floorceilround
  • expectedUpdatedAtstring (date-time)必須

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • partnerIdstring
  • titlestring
  • amountinteger
  • currencystring
  • statusenum
    draftactivecompletedcanceled
  • rolestring | null
  • scopestring | null
  • contractTermsstring | null
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • startDatestring | null
  • endDatestring | null
  • subcontractingPolicyenum
    not_setnot_allowedrequires_approvalallowed_without_disclosureallowed_with_vendor_disclosureallowed_with_budget_disclosure
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

PATCH/v1/…/accounts/{accountId}/partner-orders/{id}
curl -X PATCH https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/partner-orders/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Webサイト制作の業務委託",
  "expectedUpdatedAt": "2026-11-01T09:00:00.000Z"
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "partnerId": "clx8k2m0a0001",
    "title": "Webサイト制作の業務委託",
    "amount": 100000,
    "currency": "JPY",
    "status": "draft",
    "role": "…",
    "scope": "…",
    "contractTerms": "…",
    "isIncludingTax": false,
    "taxRoundingMethod": "floor",
    "startDate": "2026-11-30",
    "endDate": "2026-11-30",
    "subcontractingPolicy": "not_set",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}